PDA

View Full Version : mysql-server-5.5 has unmet dependencies



alaajabre
June 14th, 2014, 05:33 AM
Every time I open the software center I get this message:

Item can not be installed or removed until package catalog is repaired
I click repair then I get

Package operation failed
I tried to remove mysql-server-5.5 using terminal sudo apt-get --purge remove mysql-server-5.5and I got this message:

The following packages have unmet dependencies: mysql-server : Depends: mysql-server-5.5 but it is not going to be installed"
I got the same message when tried to install it. I'm running Ubuntu 12.04
I tried: sudo apt-get remove mysql-sever and I got this:

dpkg: error processing mysql-server-5.5 (--configure): subprocess installed post-installation script returned error exit status 1
then the system has sent me a message that this is a bug (https://bugs.launchpad.net/ubuntu/+source/mysql-5.5/+bug/1311925)

is there a work around for this problem?

nerdtron
June 14th, 2014, 09:42 AM
apt-get install -f mysql-server

Doesn't work?
Try the following but be sure that all mysql processes were stopped or killed.


sudo apt-get clean
sudo apt-get autoclean
sudo apt-get remove --purge mysql-client-5.5 mysql-client-core-5.5 mysql-common mysql-server mysql-server-5.5 mysql-server-core-5.5
sudo apt-get install mysql-server

Still doesn't work?
http://ubuntuforums.org/showthread.php?t=1998260&page=4

alaajabre
June 14th, 2014, 03:15 PM
Solved thank you very much

mrgs
June 14th, 2014, 03:18 PM
Good, then please mark the thread so.